﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WiRTSample
{
    public class BulletGraphModel:INotifyPropertyChanged
    {
        private double bulletActualHours;
        private double bulletTargetHours;
        private double maximum;
        private double rangeEnd;
        private double qualitativeRangeEnd1, qualitativeRangeEnd2, qualitativeRangeEnd3;
        private string bulletCaption1;


        public double QualitativeRangeEnd1
        {
            get
            {
                return qualitativeRangeEnd1;
            }
            set
            {
                this.qualitativeRangeEnd1 = value;
                OnPropertyChanged("QualitativeRangeEnd1");
            }
        }
        public double QualitativeRangeEnd2
        {
            get
            {
                return qualitativeRangeEnd2;
            }
            set
            {
                this.qualitativeRangeEnd2 = value;
                OnPropertyChanged("QualitativeRangeEnd2");
            }
        }
        public double QualitativeRangeEnd3
        {
            get
            {
                return qualitativeRangeEnd3;
            }
            set
            {
                this.qualitativeRangeEnd3 = value;
                OnPropertyChanged("QualitativeRangeEnd3");
            }
        }
        
        public double BulletActualHours
        {
            get
            {
                return bulletActualHours;
            }
            set
            {
                this.bulletActualHours = value;
                OnPropertyChanged("BulletActualHours");
            }
        }
        public double BulletTargetHours 
        { 
            get
            {
                return bulletTargetHours;
            }
            set
            {
                this.bulletTargetHours = value;
                OnPropertyChanged("BulletTargetHours");
            }
        }
        public double BulletGraphMaximum
        {
            get
            {
                return maximum;
            }
            set
            {
                this.maximum = value;
                OnPropertyChanged("BulletGraphMaximum");
            }
        }
        public double RangeEnd 
        { 
            get
            {
                return rangeEnd;
            }
             set
            {
                this.rangeEnd = value;
                OnPropertyChanged("RangeEnd");
            }
        }

        public  String BulletCaption1
        {
            get
            {
                return bulletCaption1;
            }
            set
            {
                this.bulletCaption1 = value;
                OnPropertyChanged("BulletCaption1");
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;
        public void OnPropertyChanged(string name)
        {
            if (this.PropertyChanged != null)
                this.PropertyChanged(this, new PropertyChangedEventArgs(name));

        }
    }
    
}
